aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/run.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/run.sh')
-rwxr-xr-x.travis/run.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/.travis/run.sh b/.travis/run.sh
new file mode 100755
index 00000000..4c01d67a
--- /dev/null
+++ b/.travis/run.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+set -x
+
+if [[ "$(uname -s)" == "Darwin" ]]; then
+ eval "$(pyenv init -)"
+ if [[ "${OPENSSL}" != "0.9.8" ]]; then
+ # so set our flags to use homebrew openssl
+ export ARCHFLAGS="-arch x86_64"
+ export LDFLAGS="-L/usr/local/opt/openssl/lib"
+ export CFLAGS="-I/usr/local/opt/openssl/include"
+ fi
+fi
+source ~/.venv/bin/activate
+tox -e $TOX_ENV